### Home Classes Methods

### In Files

- lib/needle/interceptor-chain.rb

### Parent

Object

### Methods

- ::new
- #process_next

### Files

- README

### Class/Module Index

Quicksearch

- Needle
- Needle::Bug
- Needle::Container
- Needle::DefinitionContext
- Needle::IncludeExclude
- Needle::Interceptor
- Needle::Interceptor::DynamicInterceptor
- Needle::InterceptorChainBuilder
- Needle::InterceptorChainBuilder::InterceptedServiceProxy
- Needle::InterceptorChainBuilder::InterceptorChainElement
- Needle::InterceptorChainBuilder::ProxyObjectChainElement
- Needle::InterceptorConfigurationError
- Needle::Lifecycle
- Needle::Lifecycle::Deferred
- Needle::Lifecycle::Initialize
- Needle::Lifecycle::Multiton
- Needle::Lifecycle::Proxy
- Needle::Lifecycle::Singleton
- Needle::Lifecycle::Threaded
- Needle::LogFactory
- Needle::Logger
- Needle::LoggingInterceptor
- Needle::NeedleError
- Needle::Pipeline
- Needle::Pipeline::Collection
- Needle::Pipeline::Collection::BlockElement
- Needle::Pipeline::Element
- Needle::Pipeline::InterceptorElement
- Needle::QueryableMutex
- Needle::Registry
- Needle::ServiceNotFound
- Needle::ServicePoint
- Needle::Version

No matching classes.

# Needle::InterceptorChainBuilder::ProxyObjectChainElement

Encapsulates the end of an interceptor chain, which is the actual object being affected.

### Public Class Methods

new( obj ) click to toggle source

Create a new ProxyObjectChainElement that wraps the given object.

    # File lib/needle/interceptor-chain.rb, line 68
    def initialize( obj )
      @obj = obj
    end

### Public Instance Methods

process_next( context ) click to toggle source

Invoke the method represented by the context on the wrapped object.

    # File lib/needle/interceptor-chain.rb, line 73
    def process_next( context )
      @obj.__send__( context.sym, *context.args, &context.block )
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.